%define apiver 0.3
%define major 0
%define libname %mklibname oil %{apiver} %{major}
%define develname %mklibname oil -d
%define staticname %mklibname oil -d -s

Summary:	Optimized functions for multimedia calculations
Name:		liboil
Version:	0.3.17
Release:	%mkrel 2
License:	BSD
Group:		System/Libraries
URL:		http://liboil.freedesktop.org
Source0:	http://liboil.freedesktop.org/download/%{name}-%{version}.tar.gz
BuildRequires:	gtk-doc
BuildRequires:	glib2-devel

%description
Liboil is a library of simple functions that are optimized for various
CPUs. These functions are generally loops implementing simple
algorithms, such as converting an array of N integers to
floating-poing numbers or multiplying and summing an array of N
numbers. Clearly such functions are candidates for significant
optimization using various techniques, especially by using extended
instructions provided by modern CPUs (Altivec, MMX, SSE, etc.).

%package -n %{libname}
Summary:	Optimized functions for multimedia calculations
Group:		System/Libraries
Requires:	%{name}-tools >= %{version}-%{release}
Obsoletes:	%mklibname oil 0.3

%description -n %{libname}
Liboil is a library of simple functions that are optimized for various
CPUs. These functions are generally loops implementing simple
algorithms, such as converting an array of N integers to
floating-poing numbers or multiplying and summing an array of N
numbers. Clearly such functions are candidates for significant
optimization using various techniques, especially by using extended
instructions provided by modern CPUs (Altivec, MMX, SSE, etc.).

%package -n %{develname}
Summary:	Optimized functions for multimedia calculations
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	liboil-devel = %{version}-%{release}
Obsoletes:	%mklibname oil 0.3 -d

%description -n %{develname}
Liboil is a library of simple functions that are optimized for various
CPUs. These functions are generally loops implementing simple
algorithms, such as converting an array of N integers to
floating-poing numbers or multiplying and summing an array of N
numbers. Clearly such functions are candidates for significant
optimization using various techniques, especially by using extended
instructions provided by modern CPUs (Altivec, MMX, SSE, etc.).


%package -n %{staticname}
Summary:	Optimized functions for multimedia calculations
Group:		Development/C
Requires:	%{develname} = %{version}-%{release}
Obsoletes:	%mklibname oil 0.3 -d -s

%description -n %{staticname}
Liboil is a library of simple functions that are optimized for various
CPUs. These functions are generally loops implementing simple
algorithms, such as converting an array of N integers to
floating-poing numbers or multiplying and summing an array of N
numbers. Clearly such functions are candidates for significant
optimization using various techniques, especially by using extended
instructions provided by modern CPUs (Altivec, MMX, SSE, etc.).

%package tools
Summary: Optimized functions for multimedia calculations
Group: System/Libraries

%description tools
Liboil is a library of simple functions that are optimized for various
CPUs. These functions are generally loops implementing simple
algorithms, such as converting an array of N integers to
floating-poing numbers or multiplying and summing an array of N
numbers. Clearly such functions are candidates for significant
optimization using various techniques, especially by using extended
instructions provided by modern CPUs (Altivec, MMX, SSE, etc.).

This contains the binaries that are bundled with %{name}.

%prep
%setup -q

%build
%configure2_5x

%make

%install
rm -rf %{buildroot}
%makeinstall_std

%check
make check

%clean
rm -rf %{buildroot}


%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/liboil-%{apiver}.so.%{major}*

%files -n %{develname}
%defattr(-,root,root)
%{_includedir}/liboil*
%{_libdir}/liboil*.so
%attr(644,root,root) %{_libdir}/liboil*.la
%{_libdir}/pkgconfig/*.pc
%{_datadir}/gtk-doc/html/liboil

%files -n %{staticname}
%defattr(-,root,root)
%{_libdir}/liboil*.a

%files tools
%defattr(-,root,root)
%{_bindir}/*




%changelog
* Sun Feb 06 2011 spuhler <spuhler> 0.3.17-2.mga1
+ Revision: 47860
- removed buildroot definition from .spec
  removed the if mdkversion lines
- imported package liboil


* Sun Dec 05 2010 Oden Eriksson <oeriksson@mandriva.com> 0.3.17-2mdv2011.0
+ Revision: 609765
- rebuild

* Sat Mar 20 2010 Emmanuel Andry <eandry@mandriva.org> 0.3.17-1mdv2010.1
+ Revision: 525482
- New version 0.3.17

* Tue Mar 16 2010 Oden Eriksson <oeriksson@mandriva.com> 0.3.16-3mdv2010.1
+ Revision: 520893
- rebuilt for 2010.1

* Sun May 03 2009 Götz Waschk <waschk@mandriva.org> 0.3.16-2mdv2010.0
+ Revision: 371110
- bump
- new version

* Thu Jul 03 2008 Götz Waschk <waschk@mandriva.org> 0.3.15-1mdv2009.0
+ Revision: 230892
- new version

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Mon Jun 02 2008 Frederic Crozat <fcrozat@mandriva.com> 0.3.14-1mdv2009.0
+ Revision: 214302
- Release 0.3.14
- enable make check

* Wed Feb 27 2008 Frederic Crozat <fcrozat@mandriva.com> 0.3.13-1mdv2008.1
+ Revision: 175919
- Release 0.3.13
- Remove patch0, merged upstream

* Tue Feb 19 2008 Frederic Crozat <fcrozat@mandriva.com> 0.3.12-5mdv2008.1
+ Revision: 173065
- Fix build in iurt
- Disable omit-frame-pointer, it is crashing SSE detection when called from Mono (fd.o bug #8529)
- Remove patch0, enable back SSE support
- Remove patch1, not needed at all

* Thu Jan 17 2008 Götz Waschk <waschk@mandriva.org> 0.3.12-4mdv2008.1
+ Revision: 153994
- fix dep of the static devel package
- remove useless provides

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild

* Fri Jan 11 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.3.12-2mdv2008.1
+ Revision: 147997
- correct license is BSD in this case
- new devel library policy
- correct libification
- use hack for parallel build
- fix mixture of tabs and spaces
- compile liboil with %%optflags (p1)
- remove rpath
- drop buildrequires on automake1.9

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Tue May 29 2007 Götz Waschk <waschk@mandriva.org> 0.3.12-1mdv2008.0
+ Revision: 32635
- new version

* Mon Apr 23 2007 Götz Waschk <waschk@mandriva.org> 0.3.11-1mdv2008.0
+ Revision: 17173
- new version


* Wed Jan 24 2007 Götz Waschk <waschk@mandriva.org> 0.3.10-2mdv2007.0
+ Revision: 112847
- disable sse as a workaround for bug #26183

* Fri Nov 24 2006 Götz Waschk <waschk@mandriva.org> 0.3.10-1mdv2007.1
+ Revision: 86926
- Import liboil

* Fri Nov 24 2006 Götz Waschk <waschk@mandriva.org> 0.3.10-1mdv2007.1
- New version 0.3.10

* Sat May 27 2006 Götz Waschk <waschk@mandriva.org> 0.3.9-1mdv2007.0
- New release 0.3.9

* Thu Mar 30 2006 Gtz Waschk <waschk@mandriva.org> 0.3.8-1mdk
- drop conflict
- add tols subpackage
- New release 0.3.8
- use mkrel

* Mon Nov 21 2005 Gtz Waschk <waschk@mandriva.org> 0.3.6-1mdk
- drop patch
- New release 0.3.6

* Mon Oct 10 2005 Christiaan Welvaart <cjw@daneel.dyndns.org> 0.3.3-2mdk
- patch1: (ppc) apple inline asm syntax => official gcc inline asm syntax

* Wed Oct 05 2005 Götz Waschk <waschk@mandriva.org> 0.3.3-1mdk
- New release 0.3.3

* Tue Jun 21 2005 Gtz Waschk <waschk@mandriva.org> 0.3.2-2mdk
- enable mmx

* Sat May 14 2005 Gtz Waschk <waschk@mandriva.org> 0.3.2-1mdk
- New release 0.3.2

* Tue Apr 19 2005 Gtz Waschk <waschk@linux-mandrake.com> 0.3.1-1mdk
- add docs
- add conflict with liboil0.2
- New release 0.3.1

* Tue Apr 19 2005 Gtz Waschk <waschk@linux-mandrake.com> 0.3.0-1mdk
- new major
- drop patch 0
- New release 0.3.0

* Sat Nov 27 2004 Christiaan Welvaart <cjw@daneel.dyndns.org> 0.2.2-2mdk
- Patch0: fix ppc build

* Tue Nov 23 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.2.2-1mdk
- fix source URL
- drop patch 1
- drop merged patch 0
- major 0.2
- drop 9.0 support
- new version

* Tue Sep 21 2004 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.1-0.20040401.4mdk
- build fixes

* Mon Jul 12 2004 Christiaan Welvaart <cjw@daneel.dyndns.org> 0.1-0.20040401.3mdk
- Patch0: fix ppc build

* Thu Apr 15 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.1-0.20040401.2mdk
- fix buildrequires

* Sat Apr 03 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.1-0.20040401.1mdk
- initial package

